Manifest-Version: 1.0
Bnd-LastModified: 1722953881716
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Content Page Editor Web
Bundle-SymbolicName: com.liferay.layout.content.page.editor.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.155.hotfix-5733-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.adaptive.media.content.transformer;version="2.0",com.liferay.adapt
 ive.media.content.transformer.constants;version="1.0",com.liferay.ada
 ptive.media.image.configuration;version="2.0",com.liferay.adaptive.me
 dia.image.media.query;version="1.0",com.liferay.adaptive.media.image.
 model;version="3.1",com.liferay.adaptive.media.image.service;version=
 "1.6",com.liferay.adaptive.media.image.url;version="1.0",com.liferay.
 asset.categories.item.selector;version="1.0",com.liferay.asset.catego
 ries.item.selector.criterion;version="1.0",com.liferay.asset.kernel;v
 ersion="2.1",com.liferay.asset.kernel.model;version="9.2",com.liferay
 .asset.kernel.service;version="8.0",com.liferay.asset.kernel.service.
 persistence;version="10.0",com.liferay.asset.list.asset.entry.provide
 r;version="5.0",com.liferay.asset.list.model;version="4.0",com.lifera
 y.asset.list.service;version="2.3",com.liferay.asset.util;version="4.
 0",com.liferay.counter.kernel.service;version="2.1",com.liferay.docum
 ent.library.kernel.service;version="10.0",com.liferay.document.librar
 y.util;version="1.1",com.liferay.dynamic.data.mapping.exception;versi
 on="2.7",com.liferay.dynamic.data.mapping.model;version="7.1",com.lif
 eray.dynamic.data.mapping.service;version="3.13",com.liferay.expando.
 kernel.model;version="6.0",com.liferay.exportimport.kernel.staging;ve
 rsion="2.3",com.liferay.fragment.collection.filter;version="2.0",com.
 liferay.fragment.constants;version="3.0",com.liferay.fragment.contrib
 utor;version="5.0",com.liferay.fragment.entry.processor.helper;versio
 n="7.0",com.liferay.fragment.entry.processor.util;version="2.0",com.l
 iferay.fragment.exception;version="1.7",com.liferay.fragment.helper;v
 ersion="1.0",com.liferay.fragment.listener;version="3.0",com.liferay.
 fragment.model;version="3.4",com.liferay.fragment.processor;version="
 8.1",com.liferay.fragment.renderer;version="8.1",com.liferay.fragment
 .service;version="7.3",com.liferay.fragment.util.comparator;version="
 1.3",com.liferay.fragment.util.configuration;version="6.0",com.lifera
 y.frontend.token.definition;version="3.1",com.liferay.info.collection
 .provider;version="4.0",com.liferay.info.collection.provider.item.sel
 ector.criterion;version="2.0",com.liferay.info.display.url.provider;v
 ersion="2.0",com.liferay.info.exception;version="2.5",com.liferay.inf
 o.field;version="4.1",com.liferay.info.field.type;version="4.4",com.l
 iferay.info.filter;version="2.1",com.liferay.info.form;version="2.1",
 com.liferay.info.item;version="6.0",com.liferay.info.item.provider;ve
 rsion="2.0",com.liferay.info.item.provider.filter;version="1.0",com.l
 iferay.info.item.renderer;version="2.0",com.liferay.info.item.rendere
 r.template;version="1.0",com.liferay.info.list.provider.item.selector
 .criterion;version="2.0",com.liferay.info.list.renderer;version="3.0"
 ,com.liferay.info.localized;version="2.0",com.liferay.info.pagination
 ;version="1.1",com.liferay.info.permission.provider;version="2.0",com
 .liferay.info.search;version="2.0",com.liferay.item.selector;version=
 "4.10",com.liferay.item.selector.criteria;version="2.3",com.liferay.i
 tem.selector.criteria.file.criterion;version="1.1",com.liferay.item.s
 elector.criteria.image.criterion;version="1.1",com.liferay.item.selec
 tor.criteria.info.item.criterion;version="2.1",com.liferay.item.selec
 tor.criteria.url.criterion;version="1.0",com.liferay.item.selector.cr
 iteria.video.criterion;version="1.1",com.liferay.layout.adaptive.medi
 a;version="1.0",com.liferay.layout.content;version="2.0",com.liferay.
 layout.content.page.editor.sidebar.panel;version="2.0",com.liferay.la
 yout.converter;version="1.0",com.liferay.layout.display.page;version=
 "3.1",com.liferay.layout.helper;version="3.0",com.liferay.layout.impo
 rter;version="1.1",com.liferay.layout.item.selector.criterion;version
 ="1.4",com.liferay.layout.list.permission.provider;version="1.0",com.
 liferay.layout.list.retriever;version="4.0",com.liferay.layout.model;
 version="2.2",com.liferay.layout.page.template.exception;version="2.0
 ",com.liferay.layout.page.template.info.item.capability;version="1.1"
 ,com.liferay.layout.page.template.model;version="6.3",com.liferay.lay
 out.page.template.serializer;version="1.0",com.liferay.layout.page.te
 mplate.service;version="5.1",com.liferay.layout.page.template.util.co
 mparator;version="1.1",com.liferay.layout.portlet.category;version="1
 .0",com.liferay.layout.responsive;version="3.0",com.liferay.layout.se
 curity.permission.resource;version="1.0",com.liferay.layout.service;v
 ersion="2.0",com.liferay.layout.util;version="7.0",com.liferay.layout
 .util.structure;version="10.2",com.liferay.learn;version="1.0",com.li
 feray.mentions.strategy;version="1.1",com.liferay.mentions.util;versi
 on="1.1",com.liferay.object.model;version="7.11",com.liferay.object.s
 ervice;version="39.0",com.liferay.osgi.service.tracker.collections.li
 st;version="3.0",com.liferay.petra.function;version="1.5",com.liferay
 .petra.string;version="1.7",com.liferay.portal.aop;version="1.0",com.
 liferay.portal.configuration.metatype.annotations;version="1.6",com.l
 iferay.portal.configuration.metatype.bnd.util;version="3.0",com.lifer
 ay.portal.kernel.cache;version="14.0",com.liferay.portal.kernel.comme
 nt;version="4.0",com.liferay.portal.kernel.editor.configuration;versi
 on="1.1",com.liferay.portal.kernel.exception;version="13.1",com.lifer
 ay.portal.kernel.feature.flag;version="1.0",com.liferay.portal.kernel
 .image;version="10.0",com.liferay.portal.kernel.io.unsync;version="8.
 0",com.liferay.portal.kernel.json;version="11.0",com.liferay.portal.k
 ernel.language;version="11.0",com.liferay.portal.kernel.log;version="
 8.0",com.liferay.portal.kernel.model;version="28.2",com.liferay.porta
 l.kernel.module.configuration;version="2.1",com.liferay.portal.kernel
 .portlet;version="23.0",com.liferay.portal.kernel.portlet.bridges.mvc
 ;version="6.0",com.liferay.portal.kernel.portlet.configuration.icon;v
 ersion="5.0",com.liferay.portal.kernel.portlet.url.builder;version="2
 .0",com.liferay.portal.kernel.portletfilerepository;version="5.0",com
 .liferay.portal.kernel.repository.model;version="11.2",com.liferay.po
 rtal.kernel.resource.bundle;version="1.0",com.liferay.portal.kernel.s
 ecurity.auth;version="6.0",com.liferay.portal.kernel.security.permiss
 ion;version="6.3",com.liferay.portal.kernel.service;version="19.4",co
 m.liferay.portal.kernel.service.permission;version="5.0",com.liferay.
 portal.kernel.servlet;version="11.2",com.liferay.portal.kernel.theme;
 version="10.4",com.liferay.portal.kernel.transaction;version="8.1",co
 m.liferay.portal.kernel.upload;version="10.0",com.liferay.portal.kern
 el.util;version="56.1",com.liferay.portal.kernel.util.comparator;vers
 ion="3.1",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.po
 rtal.kernel.workflow;version="18.1",com.liferay.portal.language,com.l
 iferay.portal.util;version="45.0",com.liferay.portlet;version="9.0",c
 om.liferay.product.navigation.control.menu;version="4.0",com.liferay.
 segments;version="1.1",com.liferay.segments.configuration.provider;ve
 rsion="3.1",com.liferay.segments.constants;version="5.0",com.liferay.
 segments.context;version="2.0",com.liferay.segments.manager;version="
 1.0",com.liferay.segments.model;version="2.1",com.liferay.segments.se
 rvice;version="4.2",com.liferay.site.navigation.item.selector;version
 ="1.0",com.liferay.site.navigation.item.selector.criterion;version="1
 .0",com.liferay.sites.kernel.util;version="1.4",com.liferay.social.ke
 rnel.util;version="1.0",com.liferay.staging;version="1.2",com.liferay
 .style.book.model;version="2.1",com.liferay.style.book.service;versio
 n="1.4",com.liferay.style.book.util;version="1.1",com.liferay.style.b
 ook.util.comparator;version="1.0",com.liferay.taglib.security;version
 ="8.1",javax.portlet,javax.servlet,javax.servlet.http,org.jsoup;versi
 on="1.15",org.jsoup.nodes;version="1.15",org.jsoup.select;version="1.
 15",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.content.page.editor.web.internal.a
 daptive.media,com.liferay.layout.content.page.editor.web.internal.ass
 et.model,com.liferay.layout.content.page.editor.web.internal.comment,
 com.liferay.layout.content.page.editor.web.internal.configuration,com
 .liferay.layout.content.page.editor.web.internal.constants,com.lifera
 y.layout.content.page.editor.web.internal.display.context,com.liferay
 .layout.content.page.editor.web.internal.editor.configuration,com.lif
 eray.layout.content.page.editor.web.internal.exception,com.liferay.la
 yout.content.page.editor.web.internal.info.search,com.liferay.layout.
 content.page.editor.web.internal.listener,com.liferay.layout.content.
 page.editor.web.internal.mentions.strategy,com.liferay.layout.content
 .page.editor.web.internal.model.listener,com.liferay.layout.content.p
 age.editor.web.internal.portlet,com.liferay.layout.content.page.edito
 r.web.internal.portlet.action,com.liferay.layout.content.page.editor.
 web.internal.portlet.configuration.icon,com.liferay.layout.content.pa
 ge.editor.web.internal.product.navigation.control.menu,com.liferay.la
 yout.content.page.editor.web.internal.segments,com.liferay.layout.con
 tent.page.editor.web.internal.sidebar.panel,com.liferay.layout.conten
 t.page.editor.web.internal.util,com.liferay.layout.content.page.edito
 r.web.internal.util.layout.structure,com.liferay.layout.content.page.
 editor.web.internal.workflow
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/layout
 -content-page-editor-web";version:Version="3.0.155.hotfix-5733-7413",
 osgi.service;objectClass:List<String>="com.liferay.asset.kernel.model
 .AssetRendererFactory";uses:="com.liferay.asset.kernel.model",osgi.se
 rvice;objectClass:List<String>="com.liferay.fragment.listener.Fragmen
 tEntryLinkListener";uses:="com.liferay.fragment.listener",osgi.servic
 e;objectClass:List<String>="com.liferay.layout.adaptive.media.LayoutA
 daptiveMediaProcessor";uses:="com.liferay.layout.adaptive.media",osgi
 .service;objectClass:List<String>="com.liferay.layout.content.page.ed
 itor.sidebar.panel.ContentPageEditorSidebarPanel";uses:="com.liferay.
 layout.content.page.editor.sidebar.panel",osgi.service;objectClass:Li
 st<String>="com.liferay.layout.content.page.editor.web.internal.displ
 ay.context.ContentPageEditorDisplayContextProvider";uses:="com.lifera
 y.layout.content.page.editor.web.internal.display.context",osgi.servi
 ce;objectClass:List<String>="com.liferay.layout.content.page.editor.w
 eb.internal.editor.configuration.FragmentEntryLinkEditorConfigContrib
 utor,com.liferay.portal.kernel.editor.configuration.EditorConfigContr
 ibutor";uses:="com.liferay.layout.content.page.editor.web.internal.ed
 itor.configuration,com.liferay.portal.kernel.editor.configuration",os
 gi.service;objectClass:List<String>="com.liferay.layout.content.page.
 editor.web.internal.util.FragmentCollectionManager";uses:="com.lifera
 y.layout.content.page.editor.web.internal.util",osgi.service;objectCl
 ass:List<String>="com.liferay.layout.content.page.editor.web.internal
 .util.FragmentEntryLinkManager";uses:="com.liferay.layout.content.pag
 e.editor.web.internal.util",osgi.service;objectClass:List<String>="co
 m.liferay.mentions.strategy.MentionsStrategy";uses:="com.liferay.ment
 ions.strategy",osgi.service;objectClass:List<String>="com.liferay.por
 tal.aop.AopService,com.liferay.portal.kernel.portlet.bridges.mvc.MVCA
 ctionCommand";uses:="com.liferay.portal.aop,com.liferay.portal.kernel
 .portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.editor.configuration.EditorConfigContributor";uses:
 ="com.liferay.portal.kernel.editor.configuration",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.model.ModelListener";us
 es:="com.liferay.portal.kernel.model",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionComman
 d";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.portlet.bridges.
 mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet.bridge
 s.mvc",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.
 kernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.portlet.configuration.icon.PortletConfigurati
 onIcon";uses:="com.liferay.portal.kernel.portlet.configuration.icon",
 osgi.service;objectClass:List<String>="com.liferay.product.navigation
 .control.menu.ProductNavigationControlMenuEntry";uses:="com.liferay.p
 roduct.navigation.control.menu",osgi.service;objectClass:List<String>
 ="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter
 :="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/layout))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/product-navigation))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(
 uri=http://liferay.com/tld/util))",osgi.service;filter:="(objectClass
 =com.liferay.adaptive.media.content.transformer.ContentTransformerHan
 dler)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.adaptive.media.image.configuration.AMImageConfigurationHelper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.adapti
 ve.media.image.media.query.MediaQueryProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.adaptive.media.image.serv
 ice.AMImageEntryLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.adaptive.media.image.url.AMImageURLFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.kernel.service.AssetTagLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.list.asset.entry.provide
 r.AssetListAssetEntryProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.asset.list.service.AssetListEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.asset.list.service.AssetListEntrySegmentsEntryRelLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.asset.
 list.service.AssetListEntryUsageLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.asset.util.AssetHelper)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.docum
 ent.library.kernel.service.DLAppService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.document.library.util.DLURLHelp
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .dynamic.data.mapping.service.DDMTemplateLinkLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.
 mapping.service.DDMTemplateLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.exportimport.kernel.staging.Sta
 ging)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.fragment.collection.filter.FragmentCollectionFilterRegistry)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.fragment
 .contributor.FragmentCollectionContributorRegistry)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.fragment.entry.proce
 ssor.helper.FragmentEntryProcessorHelper)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.fragment.helper.FragmentEntryL
 inkHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.fragment.listener.FragmentEntryLinkListenerRegistry)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.fragment.pr
 ocessor.FragmentEntryProcessorRegistry)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.fragment.processor.PortletRegist
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .fragment.renderer.FragmentRendererController)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.fragment.renderer.Fragmen
 tRendererRegistry)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.fragment.service.FragmentCollectionService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.fragment.ser
 vice.FragmentCompositionService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.fragment.service.FragmentEntryLinkLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.fragment.service.FragmentEntryLinkService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.fragment.service.Fragme
 ntEntryLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.fragment.service.FragmentEntryService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.fragment.util.c
 onfiguration.FragmentEntryConfigurationParser)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.frontend.token.definition
 .FrontendTokenDefinitionRegistry)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.info.display.url.provider.InfoEditURLP
 roviderRegistry)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.info.item.InfoItemServiceRegistry)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.info.item.renderer.Info
 ItemRendererRegistry)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.info.list.renderer.InfoListRendererRegistry)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.info.sea
 rch.InfoSearchClassMapperRegistry)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.item.selector.ItemSelector)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.layout.conte
 nt.LayoutContentProvider)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.layout.content.page.editor.web.internal.displa
 y.context.ContentPageEditorDisplayContextProvider)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.layout.content.page.e
 ditor.web.internal.editor.configuration.FragmentEntryLinkEditorConfig
 Contributor)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.layout.content.page.editor.web.internal.util.FragmentCollec
 tionManager)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.layout.content.page.editor.web.internal.util.FragmentEntryL
 inkManager)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.layout.display.page.LayoutDisplayPageProviderRegistry)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.h
 elper.CollectionPaginationHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.importer.LayoutsImporter)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.l
 ist.permission.provider.LayoutListPermissionProviderRegistry)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.lis
 t.retriever.LayoutListRetrieverRegistry)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.layout.list.retriever.ListObjec
 tReferenceFactoryRegistry)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.layout.page.template.serializer.LayoutStructu
 reItemJSONSerializer)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.layout.page.template.service.LayoutPageTemplateCol
 lectionLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.layout.page.template.service.LayoutPageTemplateColl
 ectionService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.layout.page.template.service.LayoutPageTemplateEntryLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.layout.page.template.service.LayoutPageTemplateEntryService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.layou
 t.page.template.service.LayoutPageTemplateStructureLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.layout.
 page.template.service.LayoutPageTemplateStructureRelLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.layout
 .page.template.service.LayoutPageTemplateStructureService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.layout.portle
 t.category.PortletCategoryManager)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.layout.security.permission.resource.L
 ayoutContentModelResourcePermission)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.layout.service.LayoutClassedModelUs
 ageLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.layout.service.LayoutLocalizationLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.layout.util
 .LayoutCopyHelper)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.mentions.util.MentionsUserFinder)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.cache.Mu
 ltiVMPool)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.comment.CommentManager)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.image.ImageT
 ool)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.json.JSONFactory)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.language.Language)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.portlet.PortletPreferencesFactory)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.portlet.PortletUR
 LFactory)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.portletfilerepository.PortletFileRepository)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.security.permission.PermissionCheckerFactory)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.secu
 rity.permission.ResourceActions)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.ClassNameLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.GroupLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.Layout
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.LayoutRevisionLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.LayoutSetLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.PortletItemLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.PortletLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.P
 ortletPreferencesLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.ResourcePermissionL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.RoleLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 UserLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.WorkflowDefinitionLinkLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.permission.LayoutPermission)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.P
 ortal)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.segments.SegmentsEntryRetriever)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.segments.configuration.provider.Seg
 mentsConfigurationProvider)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.segments.context.RequestContextMapper)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.segments
 .service.SegmentsEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.segments.service.SegmentsEntryServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 segments.service.SegmentsExperienceLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.segments.service.Segmen
 tsExperienceService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.segments.service.SegmentsExperimentRelLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 gments.service.SegmentsExperimentRelService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.segments.service.SegmentsEx
 perimentService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.sites.kernel.util.Sites)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.staging.StagingGroupHelper)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.style.bo
 ok.service.StyleBookEntryLocalService)";effective:=active,osgi.extend
 er;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(versio
 n>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi
 .contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=J
 avaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",os
 gi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.adaptive.media.LayoutAdaptiveMediaProcessorImpl.xml,OSGI-IN
 F/com.liferay.layout.content.page.editor.web.internal.asset.model.Fra
 gmentEntryLinkAssetRendererFactory.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.display.context.ContentPageEditorDispl
 ayContextProvider.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.editor.configuration.FragmentEntryLinkCommentEditorConf
 igContributor.xml,OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.editor.configuration.FragmentEntryLinkEditorConfigContribut
 or.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.e
 ditor.configuration.FragmentEntryLinkRichTextEditorConfigContributor.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.info
 .search.InfoSearchClassMapperRegistryUtil.xml,OSGI-INF/com.liferay.la
 yout.content.page.editor.web.internal.listener.PortalCacheFragmentEnt
 ryLinkListener.xml,OSGI-INF/com.liferay.layout.content.page.editor.we
 b.internal.mentions.strategy.PageEditorCommentMentionsStrategy.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.model.list
 ener.FragmentEntryLinkModelListener.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.model.listener.LayoutPageTemplateStru
 ctureModelListener.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.model.listener.LayoutPageTemplateStructureRelModelList
 ener.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .model.listener.SegmentsExperimentModelListener.xml,OSGI-INF/com.life
 ray.layout.content.page.editor.web.internal.portlet.ContentPageEditor
 Portlet.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inter
 nal.portlet.ContentPageToolbarPortlet.xml,OSGI-INF/com.liferay.layout
 .content.page.editor.web.internal.portlet.action.AddFragmentCompositi
 onMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.AddFragmentEntryLinkCommentMVCActionCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.AddFragmentEntryLinkMVCActionCommand.xml,OSGI-INF/com
 .liferay.layout.content.page.editor.web.internal.portlet.action.AddFr
 agmentEntryLinksMVCActionCommand.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.portlet.action.AddItemMVCActionCommand.x
 ml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portl
 et.action.AddPortletMVCActionCommand.xml,OSGI-INF/com.liferay.layout.
 content.page.editor.web.internal.portlet.action.AddSegmentsExperience
 MVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.
 web.internal.portlet.action.ChangeMasterLayoutMVCActionCommand.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.ac
 tion.ChangeStyleBookEntryMVCActionCommand.xml,OSGI-INF/com.liferay.la
 yout.content.page.editor.web.internal.portlet.action.CreateLayoutPage
 TemplateEntryMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content
 .page.editor.web.internal.portlet.action.DeleteFragmentEntryLinkComme
 ntMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.DeleteSegmentsExperienceMVCActionComman
 d.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.po
 rtlet.action.DuplicateItemMVCActionCommand.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.portlet.action.DuplicateSegmen
 tsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.
 page.editor.web.internal.portlet.action.EditCollectionConfigurationMV
 CRenderCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.we
 b.internal.portlet.action.EditFragmentEntryLinkCommentMVCActionComman
 d.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.po
 rtlet.action.EditFragmentEntryLinkMVCActionCommand.xml,OSGI-INF/com.l
 iferay.layout.content.page.editor.web.internal.portlet.action.GetAvai
 lableImageConfigurationsMVCResourceCommand.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.portlet.action.GetAvailableLis
 tItemRenderersMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.portlet.action.GetAvailableListRenderers
 MVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.GetAvailableTemplatesMVCResourceCommand
 .xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.por
 tlet.action.GetCollectionConfigurationMVCResourceCommand.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.portlet.action.G
 etCollectionFieldMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.portlet.action.GetCollectionFiltersMV
 CResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.
 web.internal.portlet.action.GetCollectionItemCountMVCResourceCommand.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.port
 let.action.GetCollectionMappingFieldsMVCResourceCommand.xml,OSGI-INF/
 com.liferay.layout.content.page.editor.web.internal.portlet.action.Ge
 tCollectionSupportedFiltersMVCResourceCommand.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.portlet.action.GetCollectio
 nVariationsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content
 .page.editor.web.internal.portlet.action.GetEditCollectionConfigurati
 onURLMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.
 editor.web.internal.portlet.action.GetExperienceDataMVCResourceComman
 d.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.po
 rtlet.action.GetFileEntryURLMVCResourceCommand.xml,OSGI-INF/com.lifer
 ay.layout.content.page.editor.web.internal.portlet.action.GetFormFiel
 dsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.edi
 tor.web.internal.portlet.action.GetFragmentEntryInputFieldTypesMVCRes
 ourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.
 internal.portlet.action.GetFragmentEntryLinkMVCResourceCommand.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.ac
 tion.GetInfoItemFieldValueMVCResourceCommand.xml,OSGI-INF/com.liferay
 .layout.content.page.editor.web.internal.portlet.action.GetInfoItemMa
 ppingFieldsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content
 .page.editor.web.internal.portlet.action.GetLayoutFriendlyURLMVCResou
 rceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.in
 ternal.portlet.action.GetLayoutPageTemplateCollectionsMVCResourceComm
 and.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.
 portlet.action.GetMappingFieldsMVCResourceCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.GetPageC
 ontentMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.portlet.action.GetPortletsMVCResourceCommand.xml
 ,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet
 .action.MarkItemForDeletionMVCActionCommand.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.portlet.action.MoveFragmentEn
 tryLinkMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.
 editor.web.internal.portlet.action.PublishLayoutMVCActionCommand.xml,
 OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.
 action.PublishLayoutPageTemplateEntryMVCActionCommand.xml,OSGI-INF/co
 m.liferay.layout.content.page.editor.web.internal.portlet.action.Rest
 oreCollectionDisplayConfigMVCActionCommand.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.portlet.action.SaveVariantSegm
 entsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.conten
 t.page.editor.web.internal.portlet.action.UnmarkItemsForDeletionMVCAc
 tionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.i
 nternal.portlet.action.UpdateCollectionConfigurationMVCActionCommand.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.port
 let.action.UpdateCollectionDisplayConfigMVCActionCommand.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.portlet.action.U
 pdateConfigurationValuesMVCActionCommand.xml,OSGI-INF/com.liferay.lay
 out.content.page.editor.web.internal.portlet.action.UpdateFormItemCon
 figMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edit
 or.web.internal.portlet.action.UpdateFragmentPortletSetsSortConfigura
 tionMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edi
 tor.web.internal.portlet.action.UpdateFragmentsHighlightedConfigurati
 onMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.UpdateItemConfigMVCActionCommand.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.ac
 tion.UpdateLayoutPageTemplateDataMVCActionCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.UpdatePo
 rtletsHighlightedConfigurationMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.layout.content.page.editor.web.internal.portlet.action.UpdateRowCo
 lumnsMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.ed
 itor.web.internal.portlet.action.UpdateSegmentsExperienceMVCActionCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.UpdateSegmentsExperiencePriorityMVCActionCommand.xml,
 OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.
 configuration.icon.PortletPermissionsPortletConfigurationIcon.xml,OSG
 I-INF/com.liferay.layout.content.page.editor.web.internal.product.nav
 igation.control.menu.InfoItemSelectorProductNavigationControlMenuEntr
 y.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.si
 debar.panel.BrowserContentPageEditorSidebarPanel.xml,OSGI-INF/com.lif
 eray.layout.content.page.editor.web.internal.sidebar.panel.CommentsCo
 ntentPageEditorSidebarPanel.xml,OSGI-INF/com.liferay.layout.content.p
 age.editor.web.internal.sidebar.panel.FragmentsContentPageEditorSideb
 arPanel.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inter
 nal.sidebar.panel.MappingContentPageEditorSidebarPanel.xml,OSGI-INF/c
 om.liferay.layout.content.page.editor.web.internal.sidebar.panel.Page
 ContentPageEditorSidebarPanel.xml,OSGI-INF/com.liferay.layout.content
 .page.editor.web.internal.sidebar.panel.PageDesignOptionsSidebarPanel
 .xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.uti
 l.AssetHelperUtil.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.util.AssetListEntryUsagesUtil.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.util.ContentUtil.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.util.FragmentCol
 lectionManager.xml,OSGI-INF/com.liferay.layout.content.page.editor.we
 b.internal.util.FragmentEntryLinkManager.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /layout-content-page-editor-web

